Last Comment Bug 606297 - Enable full screen mode on Mac
: Enable full screen mode on Mac
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on: 505699 675690
Blocks: 610509
  Show dependency treegraph
 
Reported: 2010-10-21 12:45 PDT by Karsten Düsterloh
Modified: 2011-08-03 11:20 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WIP1 (12.40 KB, patch)
2010-11-01 15:33 PDT, Stefan [:stefanh]
mnyromyr: review+
Details | Diff | Review
New version using platformNavigationBindings (12.30 KB, patch)
2010-11-09 10:45 PST, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
Details | Diff | Review

Description Karsten Düsterloh 2010-10-21 12:45:07 PDT
Bug 505699 enabled full screen mode on Mac for FF.
We should have that, too, so you can do presentations with your Mac using SM. ;-)
Comment 1 Stefan [:stefanh] 2010-11-01 15:33:02 PDT
Created attachment 487442 [details] [diff] [review]
WIP1
Comment 2 Stefan [:stefanh] 2010-11-02 14:21:57 PDT
Comment on attachment 487442 [details] [diff] [review]
WIP1

Actually, this one should be OK for now, I think. Note that we really want "real" fullscreen in the end, but I think that it's out of scope for this bug. Note also that Mac don't want the close/minimize buttons (I ripped the restore button from Firefox).
Comment 3 Stefan [:stefanh] 2010-11-08 15:06:39 PST
Comment on attachment 487442 [details] [diff] [review]
WIP1

Neil, I suppose you should have a look at this ;-)
Comment 4 Karsten Düsterloh 2010-11-08 15:29:01 PST
Comment on attachment 487442 [details] [diff] [review]
WIP1

First, the patch doesn't apply cleanly anymore (but nothing serious).

>+++ b/suite/themes/classic/jar.mn
>+  skin/classic/navigator/icons/restore.gif                              (navigator/icons/restore.gif

Second, my mathematical mind makes me mutter. ;-)
Unclosed braces are so ... missing. *g*

>+#close-button,
> #minimize-button {
>-  list-style-image: url("chrome://navigator/skin/icons/minimize.gif");
>+  display: none;
> } 

Third, did you have a look at Modern as well?
I think close and minimize should be hidden there as well, especially since minimize isn't working at all.

r=me with these fixed.
Comment 5 Stefan [:stefanh] 2010-11-08 15:51:44 PST
(In reply to comment #4)

> Third, did you have a look at Modern as well?
> I think close and minimize should be hidden there as well, especially since
> minimize isn't working at all.

That would mean that they would be hidden for all OS. Do you really want that?
Comment 6 neil@parkwaycc.co.uk 2010-11-08 16:09:44 PST
(In reply to comment #5)
> (In reply to comment #4)
> > Third, did you have a look at Modern as well?
> > I think close and minimize should be hidden there as well, especially since
> > minimize isn't working at all.
> That would mean that they would be hidden for all OS. Do you really want that?
Just use suite/browser/mac/platformNavigationBindings.xul to hide them.
Comment 7 Karsten Düsterloh 2010-11-09 00:58:49 PST
(In reply to comment #5)
> hidden for all OS. Do you really want that?

Of course not.
Comment 8 Stefan [:stefanh] 2010-11-09 10:45:02 PST
Created attachment 489212 [details] [diff] [review]
New version using platformNavigationBindings

(In reply to comment #6)
> Just use suite/browser/mac/platformNavigationBindings.xul to hide them.

Ah, right - much cleaner also :-)
Comment 9 Stefan [:stefanh] 2010-11-09 10:45:51 PST
(also fixed the brace)
Comment 10 Stefan [:stefanh] 2010-11-11 10:06:59 PST
http://hg.mozilla.org/comm-central/rev/f8d3569a79a5

Note You need to log in before you can comment on or make changes to this bug.